com.davemorrissey.labs.subscaleview

## Class SubsamplingScaleImageView.DefaultOnStateChangedListener

- java.lang.Object
- - com.davemorrissey.labs.subscaleview.SubsamplingScaleImageView.DefaultOnStateChangedListener

All Implemented Interfaces:
  SubsamplingScaleImageView.OnStateChangedListener

Enclosing class:
  SubsamplingScaleImageView

    public static class SubsamplingScaleImageView.DefaultOnStateChangedListener
    extends Object
    implements SubsamplingScaleImageView.OnStateChangedListener

Default implementation of `SubsamplingScaleImageView.OnStateChangedListener`. This does nothing in any method.

### Constructor Summary

Constructors
Constructor and Description
`DefaultOnStateChangedListener()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onCenterChanged(PointF newCenter, int origin)` The source center has been changed.
`void` `onScaleChanged(float newScale, int origin)` The scale has changed.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultOnStateChangedListener

    public DefaultOnStateChangedListener()

### Method Detail

#### onCenterChanged

    public void onCenterChanged(PointF newCenter,
                                int origin)

Description copied from interface: `SubsamplingScaleImageView.OnStateChangedListener`
The source center has been changed. This can be a result of panning or zooming.

Specified by:
  `onCenterChanged` in interface `SubsamplingScaleImageView.OnStateChangedListener`
Parameters:
  `newCenter` - The new source center point.
  `origin` - Where the event originated from - one of `SubsamplingScaleImageView.ORIGIN_ANIM`, `SubsamplingScaleImageView.ORIGIN_TOUCH`.

#### onScaleChanged

    public void onScaleChanged(float newScale,
                               int origin)

Description copied from interface: `SubsamplingScaleImageView.OnStateChangedListener`
The scale has changed. Use with `SubsamplingScaleImageView.getMaxScale()` and `SubsamplingScaleImageView.getMinScale()` to determine whether the image is fully zoomed in or out.

Specified by:
  `onScaleChanged` in interface `SubsamplingScaleImageView.OnStateChangedListener`
Parameters:
  `newScale` - The new scale.
  `origin` - Where the event originated from - one of `SubsamplingScaleImageView.ORIGIN_ANIM`, `SubsamplingScaleImageView.ORIGIN_TOUCH`.